> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get linked tests

> Get all tests linked to a specification. See [Specifications](https://docs.galtea.ai/concepts/product/specification).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /specifications/{id}/tests
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /specifications/{id}/tests:
    get:
      tags:
        - specifications
      summary: Get linked tests
      description: >-
        Get all tests linked to a specification. See
        [Specifications](https://docs.galtea.ai/concepts/product/specification).
      operationId: getSpecificationTests
      parameters:
        - name: id
          in: path
          description: Specification ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Tests retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Specification not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````